Exception::getCode
Exception::getLine
Exception
PHP Manual

# Exception::getFile

(PHP 5 >= 5.1.0)

Exception::getFile — Gets the file in which the exception occurred

### 설명

final public string Exception::getFile ( void )

Get the name of the file the exception was thrown from.

### 인수

이 함수는 인수가 없습니다.

### 반환값

Returns the filename in which the exception was thrown.

### 예제

Example #1 Exception::getFile() example

`<?php
try {
throw new Exception;
} catch(Exception $e) {
echo $e->getFile();
}
?>`

위 예제의 출력 예시:

    /home/bjori/tmp/ex.php

Exception::getCode
Exception::getLine
Exception
PHP Manual